#include <bits/stdc++.h>
using namespace std;
int main(int argc, char** argv) {
	int n,m;
	cin>>n;
	int a[n][2];
	cin>>m;
	int b[m][2];
	int br=0;
	int sreca=0;
	for(int i =0; i<n;i++)
	{
		cin>>a[i][0];
		a[i][1]=0;
		if(a[i][0]<0) br=1;
	}
	for(int i=0; i<m;i++)
	{
		cin>>b[i][0];
		cin>>b[i][1];
		for(int j=1;j<=n;j++)
		{
			if(b[i][0]==j) a[j-1][1]++;
			if(b[i][1]==j) a[j-1][1]++;
		}
	}
	
	int srecap=0;
	int srecan=0;
	int c=0;
	if(br==0) 
	{
		for(int i=0;i<n;i++)
		{
			sreca+=a[i][1]*a[i][0];
		}
		cout<<sreca;
	}
	else 
	{
		for(int i=0;i<n;i++)
		{
			if(a[i][0]<0)
			{
				srecan+=-a[i][0]*a[i][1];
				c++;
				
			}
			else
			srecap+=a[i][1]*a[i][0];
		}
		if(c==n) cout<<srecan;
		else {
		if(srecap>srecan) cout<<srecap-srecan;
		else cout<<srecan-srecap;
	}
	}
	
	
	return 0;
}